Bug 627193 - [Indic] [Mail] [HTML] Underline is printed as Strike for Indic Text
[Indic] [Mail] [HTML] Underline is printed as Strike for Indic Text
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
fedora i18n bugs
: i18n
Depends On:
Blocks: 627199
  Show dependency treegraph
 
Reported: 2010-08-25 07:02 EDT by A S Alam
Modified: 2013-07-02 21:03 EDT (History)
5 users (show)

See Also:
Fixed In Version: gtkhtml3-4.6.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 627199 (view as bug list)
Environment:
Last Closed: 2013-07-02 06:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot with problme in Hindi (60.04 KB, image/png)
2010-08-25 07:02 EDT, A S Alam
no flags Details

  None (edit)
Description A S Alam 2010-08-25 07:02:12 EDT
Created attachment 440885 [details]
Screenshot with problme in Hindi

Description of problem:
While printing a mail (even save as PDF) with Body has Underline Indic text, printed as Strike. As you increase size of font, Striking line moved toward middle of Word.

Version-Release number of selected component (if applicable):
evolution-2.30.2-4.fc13.x86_64
gtkhtml3-3.30.2-1.fc13.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. run evolution
2. New Mail - > HTML format
3. input Indic character (इराक़HINDI के कई शहरों मेंENGNLISH धमाके हुए हैं, जिनमें 30 लोगों के मारे जाने और अन्य)
4. Select +3, +2, +1 Size 
5. Select Underline
6. Print (as PDF or Hard copy)
  
Actual results:
Indic Characters has problem, while English Characters are ok with underline

Expected results:
Underline should under the characters

Additional info:
Comment 1 Akira TAGOH 2011-05-24 09:11:39 EDT
Does this issue still persist on f15 say? then can you file a bug upstream please?
Comment 2 A S Alam 2011-05-25 02:43:53 EDT
issue still present with Fedora 15 with following packages:
---
evolution-3.0.1-1.fc15.x86_64
gtkhtml3-4.0.1-1.fc15.x86_64
---
Comment 3 Akira TAGOH 2012-07-06 03:54:33 EDT
I guess this issue is still there.

aalam, so can you file a bug to upstream bugzilla please? and let us know the bug number once you've done?
Comment 4 Fedora End Of Life 2013-04-03 14:47:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Milan Crha 2013-07-02 06:00:36 EDT
Fixed upstream as [1]. It'll be part of gtkhtml3-4.6.6 or later.

https://git.gnome.org/browse/gtkhtml/commit/?h=gnome-3-6&id=38286a30527c6d5a05660497a7215a8f70785bd7

Note You need to log in before you can comment on or make changes to this bug.